v.db.addtable(1)

NAME
v.db.addtable - Creates and adds a new attribute table to a given layer of an existing vector map.

KEYWORDS
vector, database, attribute table

SYNOPSIS
v.db.addtable
v.db.addtable help
v.db.addtable map=name [table=string] [layer=integer] [columns=name type[,name type,...]]

  Parameters:

map=name
    Vector map for which to add new attribute table

table=string
    Name of new attribute table (default: vector map name)

layer=integer
    Layer where to add new attribute table Default: 1

columns=name type[,name type,...]
    Name and type of the new column(s) (types depend on database backend, but all support VARCHAR(), INT, DOUBLE and DATE) Default: cat integer

DESCRIPTION
v.db.addtable creates and adds a new attribute table to a given vector map. It links the table to the specified layer of the vector map. If the vector map is not yet linked to any table, new a database link is established based on the MAPSET database settings (see db.connect).

NOTES
v.db.addtable is a front-end to db.execute to allow easier usage. The supported types of columns depend on the database backend. However, all backends should support VARCHAR, INT, DOUBLE and DATE. The default dbf backend supports only these types. The existing database connection(s) can be verified with v.db.connect.

EXAMPLE
Adding a new attribute table with a single column to default layer 1:
v.db.addtable sentiero_brenta_points columns="slope double"
v.db.connect -p sentiero_brenta_points
v.info -c sentiero_brenta_points

Adding a new attribute table with two columns to layer 2:
v.db.addtable sentiero_brenta_points columns="slope double,myname varchar(15)" layer=2
v.db.connect -p sentiero_brenta_points
v.info -c sentiero_brenta_points

SEE ALSO
db.connect, db.execute, v.db.addcol, v.db.connect, v.db.droptable, v.db.select, v.db.update

AUTHOR
Markus Neteler

Last changed: $Date: 2005/12/10 18:06:10 $

Full index